{
  "name": "loopback-microservice-0",
  "version": "1.0.0",
  "description": "loopback-microservice-0",
  "keywords": [
    "loopback-application",
    "loopback"
  ],
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "engines": {
    "node": ">=10"
  },
  "scripts": {
    "build": "lb-tsc",
    "build:watch": "lb-tsc --watch",
    "lint": "npm run prettier:check && npm run eslint",
    "lint:fix": "npm run eslint:fix && npm run prettier:fix",
    "prettier:cli": "lb-prettier \"**/*.ts\" \"**/*.js\"",
    "prettier:check": "npm run prettier:cli -- -l",
    "prettier:fix": "npm run prettier:cli -- --write",
    "eslint": "lb-eslint --report-unused-disable-directives .",
    "eslint:fix": "npm run eslint -- --fix",
    "pretest": "npm run clean && npm run build",
    "test": "lb-mocha --allow-console-logs \"dist/__tests__\"",
    "posttest": "npm run lint",
    "test:dev": "lb-mocha --allow-console-logs dist/__tests__/**/*.js && npm run posttest",
    "docker:build": "docker build -t loopback-microservice-0 .",
    "docker:run": "docker run -p 3000:3000 -d loopback-microservice-0",
    "migrate": "node ./dist/migrate",
    "openapi-spec": "node ./dist/openapi-spec",
    "prestart": "npm run build",
    "start": "node -r source-map-support/register .",
    "clean": "lb-clean dist *.tsbuildinfo .eslintcache"
  },
  "repository": {
    "type": "git"
  },
  "author": "",
  "license": "",
  "files": [
    "README.md",
    "dist",
    "src",
    "!*/__tests__"
  ],
  "dependencies": {
    "@loopback/boot": "^2.3.2",
    "@loopback/context": "^3.8.2",
    "@loopback/core": "^2.7.1",
    "@loopback/openapi-v3": "^3.4.2",
    "@loopback/repository": "^2.6.0",
    "@loopback/rest": "^5.1.0",
    "@loopback/rest-explorer": "^2.2.3",
    "@loopback/service-proxy": "^2.3.1",
    "tslib": "^2.0.0"
  },
  "devDependencies": {
    "@loopback/build": "^5.4.2",
    "source-map-support": "^0.5.19",
    "@loopback/testlab": "^3.1.6",
    "@types/node": "^10.17.24",
    "@loopback/eslint-config": "^8.0.0",
    "eslint": "^7.1.0",
    "typescript": "~3.9.3"
  }
}
